<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Scheduler: _tasks_t Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Scheduler
   &#160;<span id="projectnumber">1.0.0</span>
   </div>
   <div id="projectbrief">Cooperative Scheduler to run tasks</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">_tasks_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Structure w/ Tasks info.  
 <a href="struct__tasks__t.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="scheduler_8h_source.html">scheduler.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a258408d6d5d13a24bfa5211d81ce1682"><td class="memItemLeft" align="right" valign="top">uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct__tasks__t.html#a258408d6d5d13a24bfa5211d81ce1682">period</a></td></tr>
<tr class="separator:a258408d6d5d13a24bfa5211d81ce1682"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac98d5d20f5aab3ef51e0ff5e30d16925"><td class="memItemLeft" align="right" valign="top">void(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct__tasks__t.html#ac98d5d20f5aab3ef51e0ff5e30d16925">func</a> )()</td></tr>
<tr class="separator:ac98d5d20f5aab3ef51e0ff5e30d16925"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Structure w/ Tasks info. </p>
<p>Structure containing tasks period [ms] and the function (<a class="el" href="struct__tasks__t.html#ac98d5d20f5aab3ef51e0ff5e30d16925">func()</a>) to execute </p>
</div><h2 class="groupheader">Field Documentation</h2>
<a id="ac98d5d20f5aab3ef51e0ff5e30d16925"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac98d5d20f5aab3ef51e0ff5e30d16925">&#9670;&nbsp;</a></span>func</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void(* func) ()</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Contains a pointer to the function of the task </p>

</div>
</div>
<a id="a258408d6d5d13a24bfa5211d81ce1682"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a258408d6d5d13a24bfa5211d81ce1682">&#9670;&nbsp;</a></span>period</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint16_t period</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Contains the period the task. If it's 0 it doesn't execute the task </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="scheduler_8h_source.html">scheduler.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
